(function($) {
    'use strict';
    
    $(document).ready(function() {
        // Close button functionality
        $('.floating-content-close').on('click', function() {
            $(this).closest('.floating-content').fadeOut(300);
            
            // Set a cookie to remember that the user closed the floating content
            setCookie('floating_content_closed', '1', 1); // 1 day
        });
        
        // Check if the user has previously closed the floating content
        if (getCookie('floating_content_closed') === '1') {
            $('.floating-content').hide();
        }
        
        // Helper function to set a cookie
        function setCookie(name, value, days) {
            var expires = '';
            if (days) {
                var date = new Date();
                date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
                expires = '; expires=' + date.toUTCString();
            }
            document.cookie = name + '=' + value + expires + '; path=/';
        }
        
        // Helper function to get a cookie
        function getCookie(name) {
            var nameEQ = name + '=';
            var ca = document.cookie.split(';');
            for (var i = 0; i < ca.length; i++) {
                var c = ca[i];
                while (c.charAt(0) === ' ') {
                    c = c.substring(1, c.length);
                }
                if (c.indexOf(nameEQ) === 0) {
                    return c.substring(nameEQ.length, c.length);
                }
            }
            return null;
        }
    });
    
})(jQuery);